Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs11
Class PK11InternalTokenCert

    java.lang.Object
      |
      +--org.mozilla.jss.pkcs11.PK11Cert
            |
            +--org.mozilla.jss.pkcs11.PK11InternalCert
                  |
                  +--org.mozilla.jss.pkcs11.PK11InternalTokenCert

All Implemented Interfaces:
  InternalCertificate, TokenCertificate, X509Certificate

public final class PK11InternalTokenCert
extends PK11InternalCert
implements TokenCertificate

A certificate that lives on the internal token. It has database information (like trust flags) but also PKCS #11 information (like unique ID).

Nested Class Summary

Nested classes inherited from class org.mozilla.jss.pkcs11.PK11Cert
`PK11Cert.StringPrincipal`

Field Summary

Fields inherited from class org.mozilla.jss.pkcs11.PK11InternalCert
`EMAIL, OBJECT_SIGNING, SSL`

Fields inherited from class org.mozilla.jss.pkcs11.PK11Cert
`certProxy`

Fields inherited from interface org.mozilla.jss.crypto.InternalCertificate
`TRUSTED_CA, TRUSTED_CLIENT_CA, TRUSTED_PEER, USER, VALID_CA, VALID_PEER`

Constructor Summary
`(package private)` | `PK11InternalTokenCert(byte[] pointer)`

Method Summary
`CryptoToken` | `getOwningToken()` Returns the CryptoToken that owns this certificate.
`byte[]` | `getUniqueID()` Returns the unique ID of this key.

Methods inherited from class org.mozilla.jss.pkcs11.PK11InternalCert
`getEmailTrust, getObjectSigningTrust, getSSLTrust, setEmailTrust, setObjectSigningTrust, setSSLTrust`

Methods inherited from class org.mozilla.jss.pkcs11.PK11Cert
`getEncoded, getIssuerDN, getIssuerDNString, getNickname, getPublicKey, getSerialNumber, getSerialNumberByteArray, getSubjectDN, getSubjectDNString, getTrust, getVersion, setTrust`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mozilla.jss.crypto.X509Certificate
`getEncoded, getIssuerDN, getNickname, getPublicKey, getSerialNumber, getSubjectDN, getVersion`

Constructor Detail

### PK11InternalTokenCert

    PK11InternalTokenCert(byte[] pointer)

Method Detail

### getUniqueID

    public byte[] getUniqueID()

  Description copied from interface: `TokenCertificate`
  Returns the unique ID of this key. Unique IDs can be used to match certificates to keys.

  Specified by:
    `getUniqueID` in interface `TokenCertificate`
  Overrides:
    `getUniqueID` in class `PK11Cert`
  See Also:
    `PrivateKey.getUniqueID()`

### getOwningToken

    public CryptoToken getOwningToken()

  Description copied from interface: `TokenCertificate`
  Returns the CryptoToken that owns this certificate. Cryptographic operations with this key may only be performed on the token that owns the key.

  Specified by:
    `getOwningToken` in interface `TokenCertificate`
  Overrides:
    `getOwningToken` in class `PK11Cert`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD